# Class exception

- Defined in File error.hpp

## Inheritance Relationships

### Base Type

- `public std::exception`

### Derived Types

- `public zeem::invalid_exception` (Class invalid_exception)

- `public zeem::not_wf_exception` (Class not_wf_exception)

## Class Documentation

class exception : public std::exception

  base class of the exceptions thrown by zeem

  Subclassed by zeem::invalid_exception, zeem::not_wf_exception

  Public Functions

  inline explicit exception(std::string message)

    Create an exception with the message in message.

  inline const char *what() const noexcept override